#
# spec file for package yaps
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yaps
Version:        0.96
Release:        787.1
Summary:        Yet Another Pager Software
License:        GPL-2.0
Group:          Hardware/Mobile
Url:            ftp://sunsite.unc.edu/pub/Linux/apps/serialcomm/machines/
Source:         ftp://sunsite.unc.edu/pub/Linux/apps/serialcomm/machines/%{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}.diff
Patch1:         %{name}-%{version}-preselections.diff
Patch2:         %{name}-%{version}-getline.diff
Requires(pre):  permissions
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This software is primarily designed to send messages to pager devices,
including cellular phones which are able to receive textual messages
(sometimes called SMS, short message system/service.)

%prep
%setup -q
%patch0
%patch1
%patch2

%build
make depend
make CFLAGS="%{optflags} -fPIE" LDFLAGS="-fPIE -pie"

%install
mkdir -p %{buildroot}%{_bindir}
%makeinstall

install -D -m 644 yaps.rc %{buildroot}%{_sysconfdir}/yaps.rc
install -D -m 644 yaps.1 %{buildroot}%{_mandir}/man1/yaps.1

%clean
rm -rf %{buildroot}

%post
%if 0%{?suse_version} <= 1130
%run_permissions
%else
%set_permissions %{_bindir}/yaps
%endif

%verifyscript
%verify_permissions -e %{_bindir}/yaps

%files
%defattr(-,root,root)
%doc BUGREPORT COPYING.GPL COPYRIGHT INSTALL README contrib yaps.doc yaps.html yaps.lsm
%doc %{_mandir}/man1/yaps.1.*
%verify(not mode) %attr(0755,root,uucp) %{_bindir}/yaps
%attr(0755,bin,uucp) %{_prefix}/lib/yaps
%config %{_sysconfdir}/yaps.rc

%changelog
* Tue Mar 19 2013 idonmez@suse.com
- Format spec file
* Mon Jun  8 2009 pgajdos@suse.cz
- fixed build: getline -> my_getline
  * getline.patch
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 schwab@suse.de
- Don't strip binaries.
* Sat Sep 17 2005 meissner@suse.de
- fixed implicits.
* Thu May 12 2005 meissner@suse.de
- use RPM_OPT_FLAGS
* Fri Nov 12 2004 ro@suse.de
- updated permissions handling
* Tue Feb 17 2004 postadal@suse.cz
- added norootforbuild flag to the spec file (set attr owner/group)
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Thu Mar 14 2002 postadal@suse.cz
- added some preselections (#13721), cleared specfile
* Thu Aug  9 2001 dan@suse.cz
- use bzip instead of gzip
* Mon May 29 2000 cihlar@suse.cz
- added BuildRoot
* Wed Mar  1 2000 choeger@suse.de
- added mandir
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 10 1998 choeger@suse.de
- new package v0.96
